Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036781
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2017-09-04 13:272017-10-17 11:55
ReporternataliagView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionno change requiredFixed in VersionRR18Q1
StatusclosedFix in branchFixed in SCM revision538778f16059
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036781: Combo Fix price discount is not working correctly when you add the same combo twice in the same ticket.

DescriptionCombo Fix price discount is not working correctly when you add same combo twice in the same ticket.
Steps To Reproduce1- Go to "Discount and promotions" window and create a new discount of type "Combo Fix price". Set a starting date, the rest of fields can be "All excluding defined" and the "Combo fix price" for example 20.
2- Define 3 families: A (quantity 2), B(quantity 2) and C(quantity 1):
Products in family A= Adhesive body Warmers,Alpine Poles,
Products in family B= Base camp duffel 70 L
Products in family C= Basecamp lantern,Basecamp lantern with legs.
3- Now, go to POS terminal, create a new ticket and add this products:
 1 Adhesive body warmer,
 1 Alpine poles
 2 Base camp duffel 70L
 1 Basecamp lantern.
The combo discount is applied and the price is 20. This is correct
4- In this same ticket we want to add another combo but using the other basecamp lantern so we continue adding to the ticket:
 1 Adhesive body warmer,
 1 Alpine poles
 2 Base camp duffel 70L
 1 Basecamp lantern with legs. Now again the combo should be applied and the price should be 40 but instead that, the total is 207.36. The price of the combo is not applied although the discount appears in the lantern with legs. If we select the base camp duffel product and we split lines as 2 and 2 instead 4, the discount is applied and the total price change to 40. Both combos are then detected correctly. This also happens if the product is marked as non grouped.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036645 closedjorge-garcia combo price is not correct: wrong total amount is calculated 

-  Notes
(0098993)
hgbot (developer)
2017-09-12 16:47

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: aab2d0053ae992f690bf9cd5dd60f86ae4345993
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Sep 11 19:50:41 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/aab2d0053ae992f690bf9cd5dd60f86ae4345993 [^]

Fixed issue 36781: Combo Fix price discount is not working correctly when you
add the same combo twice in the same ticket

---
M web/org.openbravo.retail.discounts.combo/source/combo-rule-impl.js
---
(0099015)
hgbot (developer)
2017-09-13 20:07

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: 85db74bf8d8bcc124583eef465bd5ccde083f7b9
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Sep 13 14:02:52 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/85db74bf8d8bcc124583eef465bd5ccde083f7b9 [^]

Related to issue 36781: Combo Fix price discount is not working correctly when
you add the same combo twice in the same ticket

- Backed out changeset: aab2d0053ae9

---
M web/org.openbravo.retail.discounts.combo/source/combo-rule-impl.js
---
(0099088)
hgbot (developer)
2017-09-15 15:45

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: 88773a9a0d79d5d2f9c47264aa60bcacc0fa844b
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Sep 11 19:50:41 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/88773a9a0d79d5d2f9c47264aa60bcacc0fa844b [^]

Fixed issue 36781: Combo Fix price discount is not working correctly when you
add the same combo twice in the same ticket

---
M web/org.openbravo.retail.discounts.combo/source/combo-rule-impl.js
---
(0099118)
hgbot (developer)
2017-09-18 14:42

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: 3bdc761a27bc2b829f42eadc23a8d55f61fe914f
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Sep 18 08:40:07 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/3bdc761a27bc2b829f42eadc23a8d55f61fe914f [^]

Fixed issue 36781: Combo Fix price discount is not working correctly when you
add the same combo twice in the same ticket

- Backed out changeset: 88773a9a0d79

---
M web/org.openbravo.retail.discounts.combo/source/combo-rule-impl.js
---
(0099133)
hgbot (developer)
2017-09-18 23:34

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: 538778f1605937f6b531b71a4fd4971c18c0ac15
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Sep 18 16:33:30 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/538778f1605937f6b531b71a4fd4971c18c0ac15 [^]

Fixed issue 36781: Combo Fix price discount is not working correctly when you
add the same combo twice in the same ticket

---
M web/org.openbravo.retail.discounts.combo/source/combo-rule-impl.js
---
(0099148)
hgbot (developer)
2017-09-19 15:55

Repository: tools/automation/pi-mobile
Changeset: 1bd921a18fd9db3878601eab2fa76fe4434d51c4
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Sep 18 16:38:34 2017 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/1bd921a18fd9db3878601eab2fa76fe4434d51c4 [^]

Verifies issue 36781: Combo Fix price discount is not working correctly when you
add the same combo twice in the same ticket.

---
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_combo/I36781_VerifyComboFixPriceTwiceInTheSameTicket.java
---
(0099491)
marvintm (developer)
2017-09-22 14:19

The current fix doesn't solve the case as described. The combo is applied twice if the products selected are exactly the same, but once you change a product for one of the families, then there is only one instance of the combo applied, and the second set of products do not have any discount applied.
(0099503)
hgbot (developer)
2017-09-22 19:43

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: 3a8771c78473c827e70327c631b4369e1340aac3
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Fri Sep 22 13:21:39 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/3a8771c78473c827e70327c631b4369e1340aac3 [^]

Related issue 36781: Combo Fix price discount is not working correctly when you
add the same combo twice in the same ticket

- Backed out changeset: 538778f16059

---
M web/org.openbravo.retail.discounts.combo/source/combo-rule-impl.js
---
(0099504)
hgbot (developer)
2017-09-22 19:47

Repository: tools/automation/pi-mobile
Changeset: 111d74a56c6c54f7b727db6aa7a857935daae6d1
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Fri Sep 22 13:25:26 2017 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/111d74a56c6c54f7b727db6aa7a857935daae6d1 [^]

Related to issue 36781: Combo Fix price discount is not working correctly when
you add the same combo twice in the same ticket.

- Backed out changeset: 1bd921a18fd9

---
R src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_combo/I36781_VerifyComboFixPriceTwiceInTheSameTicket.java
---
(0099730)
hgbot (developer)
2017-10-03 16:45

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: 2e8b2dfdf0c005cf81044b72192b77aa835c1048
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Sep 25 22:41:10 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/2e8b2dfdf0c005cf81044b72192b77aa835c1048 [^]

Related issue 36781: Combo Fix price discount is not working correctly when you
add the same combo twice in the same ticket

---
M web/org.openbravo.retail.discounts.combo/source/combo-rule-impl.js
---
(0099751)
migueldejuana (developer)
2017-10-04 09:28

Last change breaks a test:

https://ci.openbravo.com/view/retail-qa/job/ret-qa-modules-pgsql-suite1/lastCompletedBuild/testReport/org.openbravo.test.mobile.retail.extmodules.selenium.tests.discounts_combo/I34809_WrongCalculationOfComboDependingSequence/test/ [^]

https://ci.openbravo.com/view/retail-qa/job/ret-qa-modules-pgsql-suite1/lastSuccessfulBuild/artifact/SANDBOX/automation/pi-mobile/last-results/ret-qa-modules-pgsql-suite1/screenshots/23%3A52%3A40%20FAILED%3A%20I34809_WrongCalculationOfComboDependingSequence.png [^]
(0099752)
hgbot (developer)
2017-10-04 09:30

Repository: erp/pmods/org.openbravo.retail.discounts.combo
Changeset: 51ef92ce0dfa21eb33ff1012405b31e9b1aeae3e
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Oct 04 09:14:38 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/51ef92ce0dfa21eb33ff1012405b31e9b1aeae3e [^]

Related issue 36781: Combo Fix price discount is not working correctly when you
add the same combo twice in the same ticket

It breaks I34809_WrongCalculationOfComboDependingSequence test

Backed out changeset 2e8b2dfdf0c0

---
M web/org.openbravo.retail.discounts.combo/source/combo-rule-impl.js
---
(0099823)
marvintm (developer)
2017-10-09 10:48

Change for issue 36645 has indirectly fixed this issue also.

- Issue History
Date Modified Username Field Change
2017-09-04 13:27 nataliag New Issue
2017-09-04 13:27 nataliag Assigned To => Retail
2017-09-04 13:27 nataliag Triggers an Emergency Pack => No
2017-09-07 15:39 rqueralta Assigned To Retail => rqueralta
2017-09-12 16:47 hgbot Checkin
2017-09-12 16:47 hgbot Note Added: 0098993
2017-09-12 16:47 hgbot Status new => resolved
2017-09-12 16:47 hgbot Resolution open => fixed
2017-09-12 16:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/aab2d0053ae992f690bf9cd5dd60f86ae4345993 [^]
2017-09-13 20:07 hgbot Checkin
2017-09-13 20:07 hgbot Note Added: 0099015
2017-09-15 15:45 hgbot Checkin
2017-09-15 15:45 hgbot Note Added: 0099088
2017-09-15 15:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/aab2d0053ae992f690bf9cd5dd60f86ae4345993 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/88773a9a0d79d5d2f9c47264aa60bcacc0fa844b [^]
2017-09-18 14:42 hgbot Checkin
2017-09-18 14:42 hgbot Note Added: 0099118
2017-09-18 14:43 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/88773a9a0d79d5d2f9c47264aa60bcacc0fa844b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/3bdc761a27bc2b829f42eadc23a8d55f61fe914f [^]
2017-09-18 23:34 hgbot Checkin
2017-09-18 23:34 hgbot Note Added: 0099133
2017-09-18 23:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/3bdc761a27bc2b829f42eadc23a8d55f61fe914f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.combo/rev/538778f1605937f6b531b71a4fd4971c18c0ac15 [^]
2017-09-19 15:55 hgbot Checkin
2017-09-19 15:55 hgbot Note Added: 0099148
2017-09-22 11:09 ngarcia Issue Monitored: ngarcia
2017-09-22 14:19 marvintm Note Added: 0099491
2017-09-22 14:19 marvintm Status resolved => new
2017-09-22 14:19 marvintm Resolution fixed => open
2017-09-22 19:43 hgbot Checkin
2017-09-22 19:43 hgbot Note Added: 0099503
2017-09-22 19:47 hgbot Checkin
2017-09-22 19:47 hgbot Note Added: 0099504
2017-10-03 16:45 hgbot Checkin
2017-10-03 16:45 hgbot Note Added: 0099730
2017-10-04 09:28 migueldejuana Note Added: 0099751
2017-10-04 09:30 hgbot Checkin
2017-10-04 09:30 hgbot Note Added: 0099752
2017-10-09 10:48 marvintm Review Assigned To => marvintm
2017-10-09 10:48 marvintm Note Added: 0099823
2017-10-09 10:48 marvintm Status new => closed
2017-10-09 10:48 marvintm Resolution open => no change required
2017-10-09 10:48 marvintm Fixed in Version => RR18Q1
2017-10-17 11:55 ngarcia Relationship added related to 0036645


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker